## Class Swift_Events_EventObject

(line 20)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Events/EventObject.php

##### A base Event which all Event classes inherit from.

- author: - Chris Corbyn

Classes extended from Swift_Events_EventObject:

Swift_Events_CommandEvent
  Generated when a command is sent over an SMTP connection.

Swift_Events_ResponseEvent
  Generated when a response is received on a SMTP connection.

Swift_Events_SendEvent
  Generated when a message is being sent.

Swift_Events_TransportChangeEvent
  Generated when the state of a Transport is changed (i.e. stopped/started).

Swift_Events_TransportExceptionEvent
  Generated when a TransportException is thrown from the Transport system.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Events_EventObject __construct (object $source)
boolean bubbleCancelled ()
void cancelBubble ([ $cancel = true], boolean $cancel,)
object getSource ()

#### Constructor __construct (line 33)

#### Swift_Events_EventObject __construct( object $source)

Overridden in child classes as:

Swift_Events_CommandEvent::__construct()
  Create a new CommandEvent for $source with $command.

Swift_Events_ResponseEvent::__construct()
  Create a new ResponseEvent for $source and $response.

Swift_Events_SendEvent::__construct()
  Create a new SendEvent for $source and $message.

Swift_Events_TransportExceptionEvent::__construct()
  Create a new TransportExceptionEvent for $transport.

##### Create a new EventObject originating at $source.

#### Parameters

- object $source:

#### Info

- access - public

#### Method bubbleCancelled (line 60)

#### boolean bubbleCancelled( )

Implementation of:

Swift_Events_Event::bubbleCancelled()
  Returns true if this Event will not bubble any further up the stack.

##### Returns true if this Event will not bubble any further up the stack.

#### Info

- access - public

#### Method cancelBubble (line 51)

#### void cancelBubble( [ $cancel = true], boolean $cancel,)

Implementation of:

Swift_Events_Event::cancelBubble()
  Prevent this Event from bubbling any further up the stack.

##### Prevent this Event from bubbling any further up the stack.

#### Parameters

- boolean $cancel,: optional
- $cancel:

#### Info

- access - public

#### Method getSource (line 42)

#### object getSource( )

Implementation of:

Swift_Events_Event::getSource()
  Get the source object of this event.

##### Get the source object of this event.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:21 +0000 by phpDocumentor 1.4.3